import {Injector} from "@angular/core";
import {ToastrService} from "ngx-toastr";
import {DomSanitizer} from "@angular/platform-browser";
import {HttpClient} from "@angular/common/http";
import {CookieService} from "ngx-cookie-service";

/***************
 * 定义公用变量
 */
export class VarService {
  /***********************
   * 全局显示加载提示
   */
  public static SHOW_LOADING = false;

  /************************
   * 拦截器，用于获取一些内部类
   */
  public static INJECTOR: Injector;

  /***************
   * 全局右下角提示
   */
  public static TOASTR: ToastrService = null;
  /**********************
   * 页面html安全工具
   */
  public static DOM_SANITIZER: DomSanitizer;

  /*************************
   * httpclient客户端
   */
  public static HTTP_CLIENT: HttpClient;

  /**************************
   * 全局SessionId:
   *
   */
  /**************************
   * 全局SessionId:
   *
   */
  public static SESSION_ID: string;
  /**************************
   * Cookies 服务
   */
  public static COOKIE_SERVICE: CookieService;

}
