import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {ConfAspectDetailComponent} from './conf-aspect-detail/conf-aspect-detail.component';
import {ConfAspectPageComponent} from './conf-aspect-page/conf-aspect-page.component';
import { ConfAspectVarietyComponent } from './conf-aspect-variety/conf-aspect-variety.component';
import { ConfAspectSubjectComponent } from './conf-aspect-subject/conf-aspect-subject.component';

const routes: Routes = [
  {path: 'page', component: ConfAspectPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ConfAspectDetailComponent, ConfAspectVarietyComponent, ConfAspectSubjectComponent],
  declarations: [ConfAspectPageComponent, ConfAspectDetailComponent, ConfAspectVarietyComponent, ConfAspectSubjectComponent],
  exports: [
    RouterModule
  ]
})
export class ConfAspectModule {
}
