import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfMaterialDetailComponent } from './conf-material-detail/conf-material-detail.component';
import { ConfMaterialPageComponent } from './conf-material-page/conf-material-page.component';

const routes: Routes = [
  {path: 'page', component: ConfMaterialPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ConfMaterialDetailComponent],
  declarations: [ ConfMaterialPageComponent, ConfMaterialDetailComponent],
  exports: [
    RouterModule
  ]
})

export class ConfMaterialModule {
}
