import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { CfEnrolParamDetailComponent } from './cf-enrol-param-detail/cf-enrol-param-detail.component';
import { CfEnrolParamComponent } from './cf-enrol-param/cf-enrol-param.component';

const routes: Routes = [
  {path: 'page', component: CfEnrolParamComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [CfEnrolParamComponent,CfEnrolParamDetailComponent],
  exports: [
    RouterModule
  ]
})

export class ConfEnrolParamModule {
}
