import { Component, OnInit } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { FramePageComponent } from '../../../../frame/core/page/frame.page';
import {ConfProvinceDetailComponent} from '../conf-province-detail/conf-province-detail.component';

@Component({
  selector: 'app-conf-province-page',
  templateUrl: './conf-province-page.component.html',
  styleUrls: ['./conf-province-page.component.scss']
})
export class ConfProvincePageComponent extends FramePageComponent implements OnInit {

  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = ConfProvinceDetailComponent;
  }


  ngOnInit() {
  }

}
