import { Component, OnInit } from '@angular/core';
import {ConfSubjectDetailComponent} from '../conf-subject-detail/conf-subject-detail.component';
import {ConfAspectVarietyComponent} from '../../aspect/conf-aspect-variety/conf-aspect-variety.component';
import {ConfSubjectVarietyComponent} from '../conf-subject-variety/conf-subject-variety.component';
import { BsModalService } from 'ngx-bootstrap/modal';
import { FramePageComponent } from '../../../../frame/core/page/frame.page';

@Component({
  selector: 'app-conf-subject-page',
  templateUrl: './conf-subject-page.component.html',
  styleUrls: ['./conf-subject-page.component.scss']
})
export class ConfSubjectPageComponent extends FramePageComponent implements OnInit {

  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = ConfSubjectDetailComponent;
  }

  ngOnInit() {
  }
  showSubjectVariety(sb) {
    this.showComponentModal(ConfSubjectVarietyComponent, {
      'ResponseEntity': sb
    });
  }
}
