import { Component, OnInit } from '@angular/core';
import {FramePageComponent} from "../../core/page/frame.page";
import {BsModalService} from "ngx-bootstrap/modal";
import {FrameProvinceAreaComponent} from "../frame-province-area/frame-province-area.component";

@Component({
  selector: 'app-frame-province-page',
  templateUrl: './frame-province-page.component.html',
  styleUrls: ['./frame-province-page.component.scss']
})
export class FrameProvincePageComponent  extends FramePageComponent implements OnInit {

  constructor(modalService: BsModalService) {
    super(modalService);
    this.modalComponent = FrameProvinceAreaComponent;
  }

  ngOnInit() {
  }

}
