import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from "../../../shared/shared.module";
import { PayChannelDetailComponent } from './pay-channel-detail/pay-channel-detail.component';
import { PayChannelPageComponent } from './pay-channel-page/pay-channel-page.component';

const routes: Routes = [
  {path: 'page', component: PayChannelPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [PayChannelDetailComponent, PayChannelPageComponent],
  entryComponents: [],
  exports: [
    RouterModule
  ]
})
export class HmpayChannelModule {
}
