import {Component, OnInit} from '@angular/core';
import {FramePageComponent} from "../../../frame/core/page/frame.page";
import {BsModalService} from "ngx-bootstrap/modal";
import {PayMerchantDetailComponent} from "../pay-merchant-detail/pay-merchant-detail.component";
import {PayMerchantChannelComponent} from "../pay-merchant-channel/pay-merchant-channel.component";

@Component({
  selector: 'app-pay-merchant-page',
  templateUrl: './pay-merchant-page.component.html',
  styleUrls: ['./pay-merchant-page.component.scss']
})
export class PayMerchantPageComponent extends FramePageComponent implements OnInit {


  PayMerchantChannelComponent = PayMerchantChannelComponent;

  constructor(modalService: BsModalService) {
    super(modalService);
    this.modalComponent = PayMerchantDetailComponent;
  }

  ngOnInit() {
  }

}
