import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../shared/shared.module';
import { WeixinParamPageComponent } from './weixin-param-page/weixin-param-page.component';
import { WeixinParamDetailComponent } from './weixin-param-detail/weixin-param-detail.component';

const routes: Routes = [
  {path: 'page', component: WeixinParamPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [WeixinParamDetailComponent],
  declarations: [WeixinParamPageComponent, WeixinParamDetailComponent],
  exports: [
    RouterModule
  ]
})
export class WeixinParamModule {
}
