import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {ConfAgentPageComponent} from './conf-agent-page/conf-agent-page.component';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfAgentDetailComponent } from './conf-agent-detail/conf-agent-detail.component';
import { ConfAgentCategoryComponent } from './conf-agent-category/conf-agent-category.component';
import { ConfAgentAspectComponent } from './conf-agent-aspect/conf-agent-aspect.component';
import { ConfAgentProvinceComponent } from './conf-agent-province/conf-agent-province.component';
import { ConfAgentDeptComponent } from './conf-agent-dept/conf-agent-dept.component';
import { ConfAgentDeptDetailComponent } from './conf-agent-dept-detail/conf-agent-dept-detail.component';
import { ConfAgentAspectAppointmentComponent } from './conf-agent-aspect-appointment/conf-agent-aspect-appointment.component';
import { ConfAgentAspectAppointmentDetailComponent } from './conf-agent-aspect-appointment-detail/conf-agent-aspect-appointment-detail.component';

const routes: Routes = [
  {path: 'page', component: ConfAgentPageComponent},
  {path: 'adPage', component: ConfAgentDeptComponent},
  {path: 'appointment', component: ConfAgentAspectAppointmentComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ConfAgentPageComponent, ConfAgentDetailComponent, ConfAgentCategoryComponent, ConfAgentAspectComponent, ConfAgentProvinceComponent, ConfAgentDeptComponent, ConfAgentDeptDetailComponent, ConfAgentAspectAppointmentComponent, ConfAgentAspectAppointmentDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ConfAgentModule {
}
