import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfImpdataPageComponent } from './conf-impdata-page/conf-impdata-page.component';

const routes: Routes = [
  {path: 'page', component: ConfImpdataPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ConfImpdataPageComponent],
  declarations: [ ConfImpdataPageComponent],
  exports: [
    RouterModule
  ]
})
export class ConfImpdataModule {
}
