import { Component, OnInit } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { FramePageComponent } from '../../../../frame/core/page/frame.page';
import {ConfMaterialDetailComponent} from '../conf-material-detail/conf-material-detail.component';

@Component({
  selector: 'app-conf-material-page',
  templateUrl: './conf-material-page.component.html',
  styleUrls: ['./conf-material-page.component.scss']
})
export class ConfMaterialPageComponent  extends FramePageComponent implements OnInit {

  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = ConfMaterialDetailComponent;
  }
  ngOnInit() {
  }

}
