import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfRulePageComponent } from './conf-rule-page/conf-rule-page.component';
import { ConfRuleDetailComponent } from './conf-rule-detail/conf-rule-detail.component';

const routes: Routes = [
  {path: 'page', component: ConfRulePageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ConfRuleDetailComponent],
  declarations: [ ConfRulePageComponent, ConfRuleDetailComponent],
  exports: [
    RouterModule
  ]
})

export class ConfRuleModule {
}
