import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfSubjectPageComponent } from './conf-subject-page/conf-subject-page.component';
import { ConfSubjectDetailComponent } from './conf-subject-detail/conf-subject-detail.component';
import { ConfSubjectVarietyComponent } from './conf-subject-variety/conf-subject-variety.component';

const routes: Routes = [
  {path: 'page', component: ConfSubjectPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ConfSubjectDetailComponent, ConfSubjectVarietyComponent],
  declarations: [ConfSubjectPageComponent, ConfSubjectDetailComponent, ConfSubjectVarietyComponent],
  exports: [
    RouterModule
  ]
})

export class ConfSubjectModule {
}
