import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ConfTracksPageComponent } from './conf-tracks-page/conf-tracks-page.component';
import { ConfTracksDetailComponent } from './conf-tracks-detail/conf-tracks-detail.component';

const routes: Routes = [
  {path: 'page', component: ConfTracksPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ConfTracksDetailComponent],
  declarations: [ConfTracksPageComponent, ConfTracksDetailComponent],
  exports: [
    RouterModule
  ]
})

export class ConfTracksModule {
}
