import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ExamCheckinGroupComponent } from './exam-checkin-group/exam-checkin-group.component';
import { CheckInTimeComponent } from './check-in-time/check-in-time.component';
import { CheckInTimeDetailComponent } from './check-in-time-detail/check-in-time-detail.component';
import { CheckInBwComponent } from './check-in-bw/check-in-bw.component';
import { CheckInYmComponent } from './check-in-ym/check-in-ym.component';

const routes: Routes = [
  {path: 'interview', component: ExamCheckinGroupComponent},
  {path: 'time', component: CheckInTimeComponent},
  {path: 'pair', component: CheckInBwComponent},
  {path: 'checkinym', component: CheckInYmComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [CheckInTimeDetailComponent],
  declarations: [ExamCheckinGroupComponent, CheckInTimeComponent, CheckInTimeDetailComponent, CheckInBwComponent, CheckInYmComponent],
  exports: [
    RouterModule
  ]
})
export class ExamCheckinModule {
}
