import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ExamSubjectScoreComponent } from './exam-subject-score/exam-subject-score.component';
import { ExamSubjectScoreDetailComponent } from './exam-subject-score-detail/exam-subject-score-detail.component';
import { ExamSubjectScoreConfigComponent } from './exam-subject-score-config/exam-subject-score-config.component';

const routes: Routes = [
  {path: 'page', component: ExamSubjectScoreComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ExamSubjectScoreDetailComponent, ExamSubjectScoreConfigComponent],
  declarations: [ExamSubjectScoreComponent, ExamSubjectScoreDetailComponent, ExamSubjectScoreConfigComponent],
  exports: [
    RouterModule
  ]
})
export class ExamConfModule {
}
