import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { ExamBatchRoomComponent } from './exam-batch-room/exam-batch-room.component';
import { ExamBatchRoomDetailComponent } from './exam-batch-room-detail/exam-batch-room-detail.component';

const routes: Routes = [
  {path: 'std', component: ExamBatchRoomComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [ExamBatchRoomComponent, ExamBatchRoomDetailComponent],
  exports: [
    RouterModule
  ]
})
export class ExamExtractBatchModule {
}
