import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { PaintExamScoreComponent } from './paint-exam-score/paint-exam-score.component';


const routes: Routes = [
    {path: 'score', component: PaintExamScoreComponent}
];


@NgModule({
    imports: [
      SharedModule,
      RouterModule.forChild(routes)
    ],
    entryComponents: [],
    declarations: [PaintExamScoreComponent],
    exports: [
      RouterModule
    ]
  })
  export class ExamPaintModule {
  }
