import { Component, OnInit } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from 'src/app/routes/frame/core/detail/frame.detail';

@Component({
  selector: 'app-topic-std-show',
  templateUrl: './topic-std-show.component.html',
  styleUrls: ['./topic-std-show.component.scss']
})
export class TopicStdShowComponent extends FrameDetailComponent implements OnInit {


  currentStep = 'Init';
  std:any;

  viewerOptions: any = {
    navbar: false,
    toolbar: {
      zoomIn: 4,
      zoomOut: 4,
      oneToOne: 4,
      reset: 4,
      prev: false,
      play: {
        show: 4,
        size: 'small'
      },
      next: false,
      rotateLeft: 4,
      rotateRight: 4,
      flipHorizontal: 4,
      flipVertical: 4,
    }
  };



  constructor(private modalService: BsModalService) { 
    super(modalService); // 调用父类的构造函数
  }

  ngOnInit(): void {
  }

  goInit() {
    this.currentStep = 'topic';
  }
}
