import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from "../../../shared/shared.module";
import {FrameDictPageComponent} from './frame-dict-page/frame-dict-page.component';
import {FrameDictDetailComponent} from './frame-dict-detail/frame-dict-detail.component';

const routes: Routes = [
  {path: 'page', component: FrameDictPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [FrameDictPageComponent, FrameDictDetailComponent],
  entryComponents: [],
  exports: [
    RouterModule
  ]
})
export class FrameDictModule {
}
