import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from "../../../shared/shared.module";
import {FrameParamPageComponent} from './frame-param-page/frame-param-page.component';
import {FrameParamDetailComponent} from './frame-param-detail/frame-param-detail.component';

const routes: Routes = [
  {path: 'page', component: FrameParamPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [FrameParamPageComponent, FrameParamDetailComponent],
  entryComponents: [],
  exports: [
    RouterModule
  ]
})
export class FrameParamModule {
}
