import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { SharedModule } from '../shared/shared.module';

import { routes } from './routes';
import {FrameThreadRunningComponent} from "./frame/thread/frame-thread-running/frame-thread-running.component";

@NgModule({
    imports: [
        SharedModule,
        RouterModule.forRoot(routes, {useHash: true})
    ],
    declarations: [FrameThreadRunningComponent],
    exports: [
        RouterModule
    ]
})

export class RoutesModule {
    constructor() {

    }
}
