import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../shared/shared.module';
import { WeixinProcessorPageComponent } from './weixin-processor-page/weixin-processor-page.component';
import { WeixinProcessorDetailComponent } from './weixin-processor-detail/weixin-processor-detail.component';

const routes: Routes = [
  {path: 'page', component: WeixinProcessorPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [WeixinProcessorDetailComponent],
  declarations: [ WeixinProcessorPageComponent, WeixinProcessorDetailComponent],
  exports: [
    RouterModule
  ]
})
export class WeixinProcessorModule {
}
